<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Report (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Report (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/reporting/GenerateBuildDashboard.html" title="class in org.gradle.api.reporting"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/reporting/Report.OutputType.html" title="enum in org.gradle.api.reporting"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/reporting/Report.html" target="_top">Frames</a></li>
<li><a href="Report.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.reporting</div>
<h2 title="Interface Report" class="title">Interface Report</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.gradle.util.Configurable&lt;<a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a>&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/reporting/ConfigurableReport.html" title="interface in org.gradle.api.reporting">ConfigurableReport</a>, <a href="../../../../org/gradle/api/reporting/CustomizableHtmlReport.html" title="interface in org.gradle.api.reporting">CustomizableHtmlReport</a>, <a href="../../../../org/gradle/api/reporting/DirectoryReport.html" title="interface in org.gradle.api.reporting">DirectoryReport</a>, <a href="../../../../org/gradle/api/plugins/quality/FindBugsXmlReport.html" title="interface in org.gradle.api.plugins.quality">FindBugsXmlReport</a>, <a href="../../../../org/gradle/api/tasks/testing/JUnitXmlReport.html" title="interface in org.gradle.api.tasks.testing">JUnitXmlReport</a>, <a href="../../../../org/gradle/api/reporting/SingleFileReport.html" title="interface in org.gradle.api.reporting">SingleFileReport</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">Report</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, org.gradle.util.Configurable&lt;<a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a>&gt;</pre>
<div class="block">A file based report to be created.
 <p>
 Tasks that produce reports expose instances of this type for configuration via the <a href="../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting"><code>Reporting</code></a> interface.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/Report.OutputType.html" title="enum in org.gradle.api.reporting">Report.OutputType</a></strong></code>
<div class="block">The type of output the report produces</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/gradle/api/Namer.html" title="interface in org.gradle.api">Namer</a>&lt;<a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/Report.html#NAMER">NAMER</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/Report.html#getDestination()">getDestination</a></strong>()</code>
<div class="block">The location on the filesystem of the report when it is generated.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/Report.html#getDisplayName()">getDisplayName</a></strong>()</code>
<div class="block">A more descriptive name of this report.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/Report.html#getName()">getName</a></strong>()</code>
<div class="block">The symbolic name of this report.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/reporting/Report.OutputType.html" title="enum in org.gradle.api.reporting">Report.OutputType</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/Report.html#getOutputType()">getOutputType</a></strong>()</code>
<div class="block">The type of output that the report generates.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/Report.html#isEnabled()">isEnabled</a></strong>()</code>
<div class="block">Whether or not this report should be generated by whatever generates it.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/Report.html#setEnabled(boolean)">setEnabled</a></strong>(boolean&nbsp;enabled)</code>
<div class="block">Whether or not this report should be generated by whatever generates it.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.util.Configurable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.util.Configurable</h3>
<code>configure</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="NAMER">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NAMER</h4>
<pre>static final&nbsp;<a href="../../../../org/gradle/api/Namer.html" title="interface in org.gradle.api">Namer</a>&lt;<a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a>&gt; NAMER</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre><a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block">The symbolic name of this report.
 <p>
 The name of the report usually indicates the format (e.g. XML, HTML etc.) but can be anything.
 <p>
 When part of a <a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="interface in org.gradle.api.reporting"><code>ReportContainer</code></a>, reports are accessed via their name. That is, given a report container variable
 named <code>reports</code> containing a report who's <code>getName()</code> returns <code>"html"</code>, the report could be accessed
 via:
 <pre>
 reports.html
 </pre></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The name of this report.</dd></dl>
</li>
</ul>
<a name="getDisplayName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDisplayName</h4>
<pre><a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDisplayName()</pre>
<div class="block">A more descriptive name of this report. Used when the report is referenced for end users.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>A more descriptive name of this report.</dd></dl>
</li>
</ul>
<a name="isEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEnabled</h4>
<pre><a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
boolean&nbsp;isEnabled()</pre>
<div class="block">Whether or not this report should be generated by whatever generates it.
 <p>
 If <code>true</code>, the generator of this report will generate it at the appropriate time.
 If <code>false</code>, the generator of this report will not generate this report.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>Whether or not this report should be generated by whatever generates it.</dd></dl>
</li>
</ul>
<a name="setEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnabled</h4>
<pre>void&nbsp;setEnabled(boolean&nbsp;enabled)</pre>
<div class="block">Whether or not this report should be generated by whatever generates it.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>enabled</code> - Whether or not this report should be generated by whatever generates it.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/reporting/Report.html#isEnabled()"><code>isEnabled()</code></a></dd></dl>
</li>
</ul>
<a name="getDestination()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDestination</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getDestination()</pre>
<div class="block">The location on the filesystem of the report when it is generated.
 <p>
 Depending on the <a href="../../../../org/gradle/api/reporting/Report.html#getOutputType()"><code>output type</code></a> of the report, this may point to
 a file or a directory.
 <p>
 Subtypes may implement setters for the destination.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The location on the filesystem of the report when it is generated</dd></dl>
</li>
</ul>
<a name="getOutputType()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getOutputType</h4>
<pre><a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../org/gradle/api/reporting/Report.OutputType.html" title="enum in org.gradle.api.reporting">Report.OutputType</a>&nbsp;getOutputType()</pre>
<div class="block">The type of output that the report generates.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The type of output that the report generates.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/reporting/GenerateBuildDashboard.html" title="class in org.gradle.api.reporting"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/reporting/Report.OutputType.html" title="enum in org.gradle.api.reporting"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/reporting/Report.html" target="_top">Frames</a></li>
<li><a href="Report.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
